const baseUrl = '/check-api'
const wechat = ''

const $api = {
  common: {
    shareWx: {
      method: 'post',
      url: `/wx/share/initWxJsConfig`
    }
  },
  lottery: {
    userInfo: { // 获取用户信息
      method: 'get',
      url: `${baseUrl}${wechat}/user`
    },
    getPrize: { // 获取抽奖信息
      method: 'get',
      url: `${baseUrl}${wechat}/luckdraw/:id`
    },
    setPrize: { // 抽奖
      method: 'post',
      url: `${baseUrl}${wechat}/luckdraw/:id`
    },
    getRecord: { // 中奖记录
      method: 'get',
      url: `${baseUrl}${wechat}/record`
    },
    userRecordList: { // 用户中奖记录列表
      method: 'get',
      url: `${baseUrl}${wechat}/user/record`
    },
    userRecordDetail: { // 用户中奖记录详情
      method: 'get',
      url: `${baseUrl}${wechat}/user/record/:id`
    },
    setUser: { // 分享发送userId
      method: 'post',
      url: `${baseUrl}${wechat}/luckdraw/:id/share`
    }
  }
}
export default $api
